package com.ruoyi.postCheck.domain.homePage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

@EqualsAndHashCode
@Data
@ApiModel(value = "首页-评比排名")
public class AssessmentRatingView implements Serializable {


    private static final long serialVersionUID = 1296736926345529777L;

    @ApiModelProperty("排名")
    private Integer rating;

    @ApiModelProperty("部门ID")
    private Long deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

//    @ApiModelProperty("岗位ID")
//    private Long postId;
//    @ApiModelProperty("岗位名称")
//    private String postName;

    @ApiModelProperty("岗位数量")
    private Integer postCount;




    @ApiModelProperty("得分")
    private BigDecimal score;

}
