package com.ruoyi.postCheck.domain.tools;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 打分表明细里面放的为各个部门的评分结果
 *
 * @author csg
 * @date 2024-01-01
 */

@Data
@ApiModel(value = "打分表明细里面放的为各个部门的评分结果")
@NoArgsConstructor
public class PostAssessmentRatingOtherInfoDept implements Serializable {


//    public PostAssessmentRatingOtherInfoDept(Long ratingOtherInfoId, Long byDeptId, String byDeptName, BigDecimal byDeptScore) {
    public PostAssessmentRatingOtherInfoDept( Long id,Long byDeptId, String byDeptName, BigDecimal byDeptScore) {
//        this.ratingOtherInfoId = ratingOtherInfoId;
        this.id = id;
        this.byDeptId = byDeptId;
        this.byDeptName = byDeptName;
        this.byDeptScore = byDeptScore;
    }

//    @ApiModelProperty("打分明细表ID")
//    private Long ratingOtherInfoId;

//    @ApiModelProperty("评分分类/项目/专业：职责类别：1-业务职责；2-党建及党风廉政；3-安全环保职责；4-合规与保密职责；5-任职资格与能力素质要求；6-岗位责任制文件完整性与适宜性；" +
//            "10-工作态度；11-部门协作；12-廉洁从业；13-主要工作完成情况；" +
//            "20-HSE；21-生产；22-设备；")
//    private Integer dutyType;

    @ApiModelProperty("被评分部门ID")
    private Long id;
    @ApiModelProperty("被评分部门ID")
    private Long byDeptId;

    @ApiModelProperty("被评分部门名称")
    private String byDeptName;

    @ApiModelProperty("被评分部门得分")
    private BigDecimal byDeptScore;

//    @ApiModelProperty("改进建议")
//    private String improvementSuggestions;


}
