package com.ruoyi.postCheck.domain.homePage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

@EqualsAndHashCode
@Data
@ApiModel(value = "首页-岗检部门整改率")
public class DeptProblemRectificationView implements Serializable {


    private static final long serialVersionUID = 1296736926345529777L;

    @ApiModelProperty("部门ID")
    private Long deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("问题总数量")
    private Integer problemTotal;

    @ApiModelProperty("问题整改完成数量")
    private Integer problemComplete;

    @ApiModelProperty("问题整改率")
    private BigDecimal problemRectificationRate;
}
