package com.ruoyi.postCheck.domain.join;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@EqualsAndHashCode
@Data
@ApiModel(value = "岗检记录上传列表：连接表岗检计划、岗检计划明细，按岗位分组查询")
public class PostPlanJoinChecked implements Serializable {

    private static final long serialVersionUID = -4567465960543504158L;
    @ApiModelProperty("岗检计划明细ID")
//    @TableField(value = "check_group_id")
//    @Excel(name = "检查工作组ID")
    private Long planInfoId;

    @ApiModelProperty("检查工作组ID")
//    @TableField(value = "check_group_id")
    @Excel(name = "检查工作组ID")
    private Long checkGroupId;

    @ApiModelProperty("检查小组")
//    @TableField(value = "check_team_id")
    @Excel(name = "检查小组")
    private Long checkTeamId;

    @ApiModelProperty("上传：检查人ID")
//    @TableField(value = "checked_user_id")
    @Excel(name = "检查人ID")
    private Long checkedUserId;

    @ApiModelProperty("被检查部门ID")
//    @TableField(value = "checked_dept_id")
    @Excel(name = "被检查部门ID")
    private Long checkedDeptId;

    @ApiModelProperty("被检查岗位ID")
//    @TableField(value = "checked_post_id")
    @Excel(name = "被检查岗位ID")
    private Long checkedPostId;

    @ApiModelProperty("岗检状态：1-未检；2-已检；")
//    @TableField(value = "status")
    @Excel(name = "岗检状态")
    private Integer status;

}
